Subject: Follow Space - What scientific photos are hard to believe but are indeed real?
From: Science Next Gen <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 13:06:40 +0000

Trending Stories from Science Next Gen

-----

Question: What scientific photos are hard to believe but are indeed real?

Answer from Artemis Raze

i can’t exactly think of a suitable way to start this answer off at the moment, so the job is on whoever’s reading this to pretend i had the greatest introduction of all time.
Read More: http://www.quora.com/What-scientific-photos-are-hard-to-believe-but-are-indeed-real?top_ans=261882583
-----
Question: What are some of the most messed up human experiments done in history that you can’t believe actually happened?

Answer from Andrei Tapalaga

As medical history is a field that intrigues me I tend to stumble upon so really weird stuff that seems to be taken out of some Creppy Pasta video, but sadly it is real.

How 
Read More: http://www.quora.com/What-are-some-of-the-most-messed-up-human-experiments-done-in-history-that-you-can-t-believe-actually-happened?top_ans=266042124
-----
Question: What's the oddest lifeform ever discovered?

Answer from Gary Meaney

The other answerers’ submissions are all well and good, but If I’m honest, I think I can do them one better with these critters.

Rhizocephala

If I was to bet on the most biz
Read More: http://www.quora.com/Whats-the-oddest-lifeform-ever-discovered?top_ans=134474090
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1620133599530847&et=146&id=e77e9a9621ac473fb40e60b43a7fc29e&notif_type=418&request_id=418&snid=20794153742&src=1&st=1620133599534509&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+26664835)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+26223598)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+26606219)%5D&tribe_item_ids=bogZzN0OpfQ%7CmO0W66amp8H%7C1X4ZAUp0CAT&uid=oaI5nJBvtz4&v=0

To unsubscribe from this type of email, visit: http://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=e77e9a9621ac473fb40e60b43a7fc29e&t=1620133599883165&token=f5b0f4f3daaf1c5c13aeaf07d92a490a9b824d74cf9158b38856de2ae90cd45e2bdc09eb0e3828be556674cd3a1732a53392daeb8c6f612dbd35df19e09319d7&type=146&uid=1229773278